OpenAI API DocsCommunity translation · Official structure

Resources

Beta Assistants — Delete

OpenAI API endpoint method reference.

English source
This English page is rendered from the official Markdown mirror in this repository.View on OpenAI ↗

For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.

Delete assistant

delete /assistants/{assistant_id}

Delete an assistant.

Path Parameters

  • assistant_id: string

Returns

  • AssistantDeleted object { id, deleted, object }

    • id: string

    • deleted: boolean

    • object: "assistant.deleted"

      • "assistant.deleted"

Example

curl https://api.openai.com/v1/assistants/$ASSISTANT_ID \
    -X DELETE \
    -H 'OpenAI-Beta: assistants=v2' \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "deleted": true,
  "object": "assistant.deleted"
}

Example

curl https://api.openai.com/v1/assistants/asst_abc123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -X DELETE

Response

{
  "id": "asst_abc123",
  "object": "assistant.deleted",
  "deleted": true
}